package aula11.br.ufpe.cin.banco;

import aula11.br.ufpe.cin.banco.Conta;

public class Banco {

	private Conta[] contas;
	private int indice;
	private double taxaJuros;

	public Banco() {
		contas = new Conta[100];
		indice = 0;
	}

	public void cadastrar(Conta conta) {
		contas[indice] = conta;
		indice = indice + 1;
	}

	public void creditar(String numero, double valor) {
		Conta c = this.procurar(numero);
		c.creditar(valor);
	}

	public void debitar(String numero, double valor) {
		Conta c = this.procurar(numero);
		c.debitar(valor);
	}
	
	public double getSaldo(String numero) {
		Conta c = this.procurar(numero);
		return c.getSaldo();
	}
	
	public void renderJuros(String numero) {
		Conta c = this.procurar(numero);
		((Poupanca) c).renderJuros(taxaJuros);
	}
	
	
	private Conta procurar(String numero) {
		String n;
		boolean achou = false;
		int i = 0;
		while ((!achou) && (i < indice)) {
			n = contas[i].getNumero();
			if (n.equals(numero)) {
				achou = true;
			} else {
				i = i + 1;
			}
		}
		if (i == indice)
			throw new RuntimeException("Conta nao encontrada");
		return contas[i];
	}
}